### Constructor

# Shumate Tile new_full

#### Declaration [src]

    ShumateTile*
    shumate_tile_new_full (
      guint x,
      guint y,
      guint size,
      guint zoom_level
    )

#### Description [src]

Creates an instance of `ShumateTile`.

#### Parameters

`x`

  Type: `guint`

  The x position.

`y`

  Type: `guint`

  The y position.

`size`

  Type: `guint`

  The size in pixels.

`zoom_level`

  Type: `guint`

  The zoom level.

#### Return value

Type: `ShumateTile`

A `ShumateTile`.

The caller of the function takes ownership of the data, and is responsible for freeing it.